Bug 169934 - update port: games/gemrb
Summary: update port: games/gemrb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-17 12:30 UTC by Timothy Beyer
Modified: 2012-07-18 22:10 UTC (History)
1 user (show)

See Also:


Attachments
gemrb.diff (13.53 KB, patch)
2012-07-17 12:30 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2012-07-17 12:30:06 UTC
- Update to version 0.7.1.

- Disable VLC Plugin, because it requires VLC 2.x.

Fix: Apply the patch and build
How-To-Repeat: apply the patch and build
Comment 1 Alex Kozlov freebsd_committer 2012-07-18 20:58:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-07-18 22:03:54 UTC
Author: ak
Date: Wed Jul 18 21:03:43 2012
New Revision: 301129
URL: http://svn.freebsd.org/changeset/ports/301129

Log:
  - Update to 0.7.1 (see http://www.gemrb.org/wiki/doku.php?id=changelog)
  - Remove ABI version numbers from LIB_DEPENDS
  
  PR:	ports/169934
  Submitted by:	Timothy Beyer <beyert@cs.ucr.edu> (maintainer)

Added:
  head/games/gemrb/files/patch-gemrb-plugins-CMakeLists.txt   (contents, props changed)
Modified:
  head/games/gemrb/Makefile   (contents, props changed)

Modified: head/games/gemrb/Makefile
==============================================================================
--- head/games/gemrb/Makefile	Wed Jul 18 21:01:28 2012	(r301128)
+++ head/games/gemrb/Makefile	Wed Jul 18 21:03:43 2012	(r301129)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	gemrb
-PORTVERSION=	0.7.0
-PORTREVISION=	1
+PORTVERSION=	0.7.1
 CATEGORIES=	games emulators
 MASTER_SITES=	SF/${PORTNAME}/GemRB%20Sources/GemRB%20${PORTVERSION}%20Sources
 
@@ -18,7 +17,7 @@ LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
 LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
-		vorbis.4:${PORTSDIR}/audio/libvorbis
+		vorbis:${PORTSDIR}/audio/libvorbis
 
 USE_CMAKE=	yes
 USE_SDL=	sdl mixer ttf

Added: head/games/gemrb/files/patch-gemrb-plugins-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/gemrb/files/patch-gemrb-plugins-CMakeLists.txt	Wed Jul 18 21:03:43 2012	(r301129)
@@ -0,0 +1,10 @@
+--- gemrb/plugins/CMakeLists.txt.orig	2012-07-15 12:07:51.000000000 -0700
++++ gemrb/plugins/CMakeLists.txt	2012-07-17 03:26:49.000000000 -0700
+@@ -38,7 +38,6 @@
+ ADD_SUBDIRECTORY( TISImporter )
+ ADD_SUBDIRECTORY( TLKImporter )
+ ADD_SUBDIRECTORY( TTFImporter )
+-ADD_SUBDIRECTORY( VLCPlayer )
+ ADD_SUBDIRECTORY( WAVReader )
+ ADD_SUBDIRECTORY( WEDImporter )
+ ADD_SUBDIRECTORY( WMPImporter )
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Alex Kozlov freebsd_committer 2012-07-18 22:05:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!